Package org.eclipse.draw2d

# Interface Connection

All Superinterfaces:
  `IFigure`

All Known Implementing Classes:
  `PolylineConnection`

public interface Connection extends IFigure
A Connection is a figure that connects two objects.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_CONNECTION_ROUTER`
The connection router property.
`static final String`
`PROPERTY_POINTS`
The points property.

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Method Summary

Modifier and Type
Method
Description
`ConnectionRouter`
`getConnectionRouter()`
Returns the ConnectionRouter used to route this Connection.
`PointList`
`getPoints()`
Returns the PointList containing the Points that make up this Connection.
`Object`
`getRoutingConstraint()`
Returns the routing constraint.
`ConnectionAnchor`
`getSourceAnchor()`
Returns the ConnectionAnchor at the source end of this Connection.
`ConnectionAnchor`
`getTargetAnchor()`
Returns the ConnectionAnchor at the target end of this Connection.
`void`
`setConnectionRouter(ConnectionRouter router)`
Sets the ConnectionRouter for this Connection.
`void`
`setPoints(PointList list)`
Sets the PointList containing the Points that make up this Connection.
`void`
`setRoutingConstraint(Object cons)`
Sets the routing constraint used by the router.
`void`
`setSourceAnchor(ConnectionAnchor anchor)`
Sets the ConnectionAnchor to be used at the source end of this Connection.
`void`
`setTargetAnchor(ConnectionAnchor anchor)`
Sets the ConnectionAnchor to be used at the target end of this Connection.

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

## Field Details

### PROPERTY_CONNECTION_ROUTER

static final String PROPERTY_CONNECTION_ROUTER
The connection router property. Used to signify that the ConnectionRouter has changed.

See Also:
  - Constant Field Values

### PROPERTY_POINTS

static final String PROPERTY_POINTS
The points property. Used to signify the points in the Connection have changed.

See Also:
  - Constant Field Values

## Method Details

### getConnectionRouter

ConnectionRouter getConnectionRouter()
Returns the ConnectionRouter used to route this Connection. Does not return null.

Returns:
  The ConnectionRouter for this Connection

### setConnectionRouter

void setConnectionRouter(ConnectionRouter router)
Sets the ConnectionRouter for this Connection.

Parameters:
  `router` - The ConnectionRouter to set for this Connection

### getSourceAnchor

ConnectionAnchor getSourceAnchor()
Returns the ConnectionAnchor at the source end of this Connection.

Returns:
  The ConnectionAnchor at the source end of this Connection

### getTargetAnchor

ConnectionAnchor getTargetAnchor()
Returns the ConnectionAnchor at the target end of this Connection.

Returns:
  The ConnectionAnchor at the target end of this Connection

### getRoutingConstraint

Object getRoutingConstraint()
Returns the routing constraint. May be `null`.

Returns:
  The routing constraint

### setRoutingConstraint

void setRoutingConstraint(Object cons)
Sets the routing constraint used by the router.

Parameters:
  `cons` - The routing constraint

### setSourceAnchor

void setSourceAnchor(ConnectionAnchor anchor)
Sets the ConnectionAnchor to be used at the source end of this Connection.

Parameters:
  `anchor` - The source anchor

### setTargetAnchor

void setTargetAnchor(ConnectionAnchor anchor)
Sets the ConnectionAnchor to be used at the target end of this Connection.

Parameters:
  `anchor` - The target anchor

### getPoints

PointList getPoints()
Returns the PointList containing the Points that make up this Connection. This may be returned by reference.

Returns:
  The points for this Connection

### setPoints

void setPoints(PointList list)
Sets the PointList containing the Points that make up this Connection.

Parameters:
  `list` - The points for this Connection